DataCollector

SPA: Updates a Data Collector.

Updates a Data Collector.

PATCH/api/spa/data-collectors/{id}

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Path Parameters

id
stringrequired

DataCollector identifier

Request Body

application/json
required

The updated DataCollector resource

{
  "id": 123,
  "identifier": "string",
  "schedule": 1,
  "type": "string",
  "configuration": [
    "string"
  ],
  "requestMapping": [
    "string"
  ],
  "apiToken": {
    "id": 12345,
    "identifier": "default",
    "description": "Any description",
    "token": "Any description",
    "createdBy": "user1@company.com",
    "updatedBy": "user1@company.com",
    "createdAt": "2024-08-23T00:00:00+00:00",
    "updatedAt": "2024-08-23T00:00:00+00:00",
    "client": {},
    "subClient": {},
    "active": true,
    "activeFrom": "2024-01-01",
    "versionGroup": "123e4567-e89b-12d3-a456-426614174000",
    "versionNumber": 1,
    "supersededAt": "2024-08-23T00:00:00+00:00",
    "changeSummaryDe": "string",
    "changeSummaryEn": "string",
    "summaryStatus": "pending",
    "roles": [
      "string"
    ],
    "userIdentifier": "string",
    "subClientId": 3,
    "subClientDescription": "Branch Office A",
    "subClientColor": "#083E5D"
  },
  "lastExecution": "2024-08-23T00:00:00+00:00",
  "createdBy": "user1@company.com",
  "updatedBy": "user1@company.com",
  "createdAt": "2024-08-23T00:00:00+00:00",
  "updatedAt": "2024-08-23T00:00:00+00:00",
  "subClient": {},
  "active": true,
  "activeFrom": "2024-01-01",
  "versionGroup": "123e4567-e89b-12d3-a456-426614174000",
  "versionNumber": 1,
  "supersededAt": "2024-08-23T00:00:00+00:00",
  "changeSummaryDe": "string",
  "changeSummaryEn": "string",
  "summaryStatus": "pending",
  "subClientId": 3,
  "subClientDescription": "Branch Office A",
  "subClientColor": "#083E5D"
}

Response

200application/json

DataCollector resource updated

id
integer
identifier
stringrequired
schedule
integer | null
type
stringrequired
configuration
string | null[]
requestMapping
string | null[]
apiToken
string<iri-reference> | null

Example: "https://example.com/"

lastExecution
string<date-time> | null
dataCollectorProcesses
string<iri-reference>[]
createdBy
string

User, created this entry

Example: "user1@company.com"

updatedBy
string

User, updated this entry

Example: "user1@company.com"

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

client
object
subClient
object
active
boolean

Active flag. Default: true

Available options: truefalse

Example: true

activeFrom
string<date-time>

Date to activate the entry. Default: today

Example: "2024-01-01"

versionGroup
string<uuid>

Immutable lineage key shared by all versions of this configuration entry.

versionNumber
integer

Monotonic version counter within the version group. Display/audit only, not part of resolution.

Example: 1

supersededAt
string<date-time>

Moment from which this version is superseded by a newer version of the same version group. Null while the version is (or is scheduled to become) the current one.

changeSummaryDe
string

AI generated German summary of the changes introduced by this version.

changeSummaryEn
string

AI generated English summary of the changes introduced by this version.

summaryStatus
enum<string>

Generation status of the AI change summary.

Available options: pendingdonefailed

subClientDefault
boolean

Default for environmental tenants (sub-clients)

Available options: truefalse

Example: false

subClientId
integer

SubClient ID. Provided on instances with enabled sub-client module only.

Example: 3

subClientDescription
string

SubClient description. Provided on instances with enabled sub-client module only.

Example: "Branch Office A"

subClientColor
string

SubClient display colour. Provided on instances with enabled sub-client module only.

Example: "#083E5D"